petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSThetaSetEndpoint

Sets whether to use the endpoint variant of the method (e.g. trapezoid/Crank-Nicolson instead of midpoint rule).

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSThetaSetEndpoint(TS ts,PetscBool flg)

Not Collective

### Input Parameter

| ts | - timestepping context
| flg | - PETSC_TRUE to use the endpoint variant

### Options Database

-ts_theta_endpoint <flg> -

### See Also

TSTHETA, TSCN

### Level

Intermediate

### Location

src/ts/impls/implicit/theta/theta.c

### Implementations

TSThetaSetEndpoint_Theta in src/ts/impls/implicit/theta/theta.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages